package com.jasamedika.medifirst2000.entities;

import java.io.Serializable;
import org.hibernate.envers.Audited;
import javax.persistence.*;

import org.hibernate.validator.constraints.NotEmpty;

import com.jasamedika.medifirst2000.base.BaseMaster;
import javax.validation.constraints.NotNull;
import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.internal.util.logging.Messages;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.helper.Caption;
import org.hibernate.envers.Audited;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

/**
 * class ModelPelayanan
 * 
 * @author Generator
 */
@Entity // @Audited
@Table(name = "ModelPelayanan_M")
public class ModelPelayanan extends BaseMaster {
	@NotNull(message = "Kd Model Pelayanan tidak boleh kosong")
	@Column(name = "KdModelPelayanan", nullable = false)
	@Caption(value = "Kode Model Pelayanan")
	private Byte kdModelPelayanan;

	public void setKdModelPelayanan(Byte kdModelPelayanan) {
		this.kdModelPelayanan = kdModelPelayanan;
	}

	public Byte getKdModelPelayanan() {
		return this.kdModelPelayanan;
	}

	@NotNull(message = "Model Pelayanan tidak boleh kosong")
	@Column(name = "ModelPelayanan", nullable = false, length = 15)
	@Caption(value = "Model Pelayanan")
	private String modelPelayanan;

	public void setModelPelayanan(String modelPelayanan) {
		this.modelPelayanan = modelPelayanan;
	}

	public String getModelPelayanan() {
		return this.modelPelayanan;
	}

	@NotNull(message = "QModel Pelayanan tidak boleh kosong")
	@Column(name = "QModelPelayanan", nullable = false)
	@Caption(value = "QModel Pelayanan")
	private Byte qModelPelayanan;

	public void setqModelPelayanan(Byte qModelPelayanan) {
		this.qModelPelayanan = qModelPelayanan;
	}

	public Byte getqModelPelayanan() {
		return this.qModelPelayanan;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "public.modelpelayanan_m_id_seq")
	@javax.persistence.SequenceGenerator(name = "public.modelpelayanan_m_id_seq", sequenceName = "public.modelpelayanan_m_id_seq", allocationSize = 1)
	@Column(name = "id")
	protected Integer id;

	public Integer getId() {

		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}
}